package com.goafanti.patent.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

public class PatentRecieveSendBo {
	private String	uid;

	private String	oid;

	private String	pid;

	private String	rid;

	private Integer	serialNumber;

	private String	patentNumber;

	private Integer	locationProvince;

	private String	unitName;

	private Integer	patentCatagory;

	private String	patentName;

	private Date	acceptanceReceiveTime;

	private Date	acceptanceIssueTime;

	private String	acceptanceTrackingNumber;

	private String	acceptanceExpressCompany;

	private Date	authorizationReceiveTime;

	private Date	authorizationIssueTime;

	private String	authorizationTrackingNumber;

	private String	authorizationExpressCompany;

	private Date	certificateRecieveTime;

	private Date	certificateIssueTime;

	private String	certificateTrackingNumber;

	private String	certificateExpressCompany;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getOid() {
		return oid;
	}

	public void setOid(String oid) {
		this.oid = oid;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getRid() {
		return rid;
	}

	public void setRid(String rid) {
		this.rid = rid;
	}


	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getPatentNumber() {
		return patentNumber;
	}

	public void setPatentNumber(String patentNumber) {
		this.patentNumber = patentNumber;
	}

	public Integer getLocationProvince() {
		return locationProvince;
	}

	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public Integer getPatentCatagory() {
		return patentCatagory;
	}

	public void setPatentCatagory(Integer patentCatagory) {
		this.patentCatagory = patentCatagory;
	}

	public String getPatentName() {
		return patentName;
	}

	public void setPatentName(String patentName) {
		this.patentName = patentName;
	}

	public Date getAcceptanceReceiveTime() {
		return acceptanceReceiveTime;
	}

	public void setAcceptanceReceiveTime(Date acceptanceReceiveTime) {
		this.acceptanceReceiveTime = acceptanceReceiveTime;
	}

	public Date getAcceptanceIssueTime() {
		return acceptanceIssueTime;
	}

	public void setAcceptanceIssueTime(Date acceptanceIssueTime) {
		this.acceptanceIssueTime = acceptanceIssueTime;
	}

	public String getAcceptanceTrackingNumber() {
		return acceptanceTrackingNumber;
	}

	public void setAcceptanceTrackingNumber(String acceptanceTrackingNumber) {
		this.acceptanceTrackingNumber = acceptanceTrackingNumber;
	}

	public String getAcceptanceExpressCompany() {
		return acceptanceExpressCompany;
	}

	public void setAcceptanceExpressCompany(String acceptanceExpressCompany) {
		this.acceptanceExpressCompany = acceptanceExpressCompany;
	}

	public Date getAuthorizationReceiveTime() {
		return authorizationReceiveTime;
	}

	public void setAuthorizationReceiveTime(Date authorizationReceiveTime) {
		this.authorizationReceiveTime = authorizationReceiveTime;
	}

	public Date getAuthorizationIssueTime() {
		return authorizationIssueTime;
	}

	public void setAuthorizationIssueTime(Date authorizationIssueTime) {
		this.authorizationIssueTime = authorizationIssueTime;
	}

	public String getAuthorizationTrackingNumber() {
		return authorizationTrackingNumber;
	}

	public void setAuthorizationTrackingNumber(String authorizationTrackingNumber) {
		this.authorizationTrackingNumber = authorizationTrackingNumber;
	}

	public String getAuthorizationExpressCompany() {
		return authorizationExpressCompany;
	}

	public void setAuthorizationExpressCompany(String authorizationExpressCompany) {
		this.authorizationExpressCompany = authorizationExpressCompany;
	}

	public Date getCertificateRecieveTime() {
		return certificateRecieveTime;
	}

	public void setCertificateRecieveTime(Date certificateRecieveTime) {
		this.certificateRecieveTime = certificateRecieveTime;
	}

	public Date getCertificateIssueTime() {
		return certificateIssueTime;
	}

	public void setCertificateIssueTime(Date certificateIssueTime) {
		this.certificateIssueTime = certificateIssueTime;
	}

	public String getCertificateTrackingNumber() {
		return certificateTrackingNumber;
	}

	public void setCertificateTrackingNumber(String certificateTrackingNumber) {
		this.certificateTrackingNumber = certificateTrackingNumber;
	}

	public String getCertificateExpressCompany() {
		return certificateExpressCompany;
	}

	public void setCertificateExpressCompany(String certificateExpressCompany) {
		this.certificateExpressCompany = certificateExpressCompany;
	}
	
	
	
	
	//acceptanceReceiveTime
	public String getAcceptanceReceiveTimeFormattedDate(){
		if (this.acceptanceReceiveTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getAcceptanceReceiveTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
	public void setAcceptanceReceiveTimeFormattedDate(String acceptanceReceiveTimeFormattedDate){
		
	}
	
	//acceptanceIssueTime
	public String getAcceptanceIssueTimeFormattedDate(){
		if (this.acceptanceIssueTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getAcceptanceIssueTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
	public void setAcceptanceIssueTimeFormattedDate(String acceptanceIssueTimeFormattedDate){
		
	}
	
	//authorizationReceiveTime
	public String getAuthorizationReceiveTimeFormattedDate(){
		if (this.authorizationReceiveTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getAuthorizationReceiveTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
	public void setAuthorizationReceiveTimeFormattedDate(String authorizationReceiveTimeFormattedDate){
		
	}
	
	//authorizationIssueTime
	public String getAuthorizationIssueTimeFormattedDate(){
		if (this.authorizationIssueTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getAuthorizationIssueTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
	public void setAuthorizationIssueTimeFormattedDate(String authorizationIssueTimeFormattedDate){
		
	}
	
	//certificateRecieveTime
	public String getCertificateRecieveTimeFormattedDate(){
		if (this.certificateRecieveTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCertificateRecieveTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
	public void setCertificateRecieveTimeFormattedDate(String certificateRecieveTimeFormattedDate){
		
	}
	
	//certificateIssueTime
	public String getCertificateIssueTimeFormattedDate(){
		if (this.certificateIssueTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCertificateIssueTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
	public void setCertificateIssueTimeFormattedDate(String certificateIssueTimeFormattedDate){
		
	}
	
	
	
	

}
